/**
 * 新版充电站信息页面
 * @邠心vbe on 2023/02/06
 */
import React, { Component } from 'react';
import { View, Text, StyleSheet } from 'react-native';
import TextView from '../../components/TextView';
import PagerUtil from './PagerUtil';

export default class TabInfos extends Component {
  constructor(props) {
    super(props);
    this.state = {
      stationInfo: {}
    };
  }

  componentDidMount() {
    PagerUtil.addOnRefresh(this);
    this.onRefresh();
  }

  onRefresh() {
    console.log("info刷新", this.props.route.name);
    this.setState({
      stationInfo: PagerUtil.getStationInfo()
    });
  }

  getOperatingHours() {
    if (this.state.stationInfo?.endlessService) {
      return "24/7";
    } else if (this.state.stationInfo?.operatingHours) {
      return this.state.stationInfo?.operatingHours;
    } else {
      return $t('charging.toBeUpdated');
    }
  }

  getParkingFee() {
    if (this.state.stationInfo?.parkingFeeFree) {
      return $t('charging.free');
    } else if (this.state.stationInfo?.parkingFee) {
      return this.state.stationInfo.parkingFee;
    } else {
      return $t('charging.toBeUpdated');
    }
  }
  
  render() {
    return (
      <View style={$padding(0, 16)}>
        <TextView style={styles.title}>{$t('charging.siteName')}</TextView>
        <View style={styles.infoView}>
          <TextView style={styles.infoText}>{this.state.stationInfo?.name}</TextView>
        </View>
        <TextView style={styles.title}>{$t('charging.siteAddress')}</TextView>
        <View style={styles.infoView}>
          <TextView style={styles.infoText}>{this.state.stationInfo?.address}</TextView>
        </View>
        <TextView style={styles.title}>{$t('charging.parkingFees')}</TextView>
        <View style={styles.infoView}>
          <TextView style={styles.infoText}>{this.getParkingFee()}</TextView>
        </View>
        <TextView style={styles.title}>{$t('charging.operatingHours')}</TextView>
        <View style={styles.infoView}>
          <TextView style={styles.infoText}>{this.getOperatingHours()}</TextView>
        </View>
        <TextView style={styles.title}>{$t('charging.additionalInformation')}</TextView>
        <View style={styles.infoView}>
          <TextView style={styles.infoText}>{this.state.stationInfo?.additionalNotes}</TextView>
        </View>
      </View>
    );
  }
}

const styles = StyleSheet.create({
  title: {
    color: '#000',
    fontSize: 14,
    fontWeight: 'bold',
    ...$padding(16, 0, 8),
    borderBottomColor: '#eee',
    borderBottomWidth: 1
  },
  infoView: {
    paddingTop: 8,
    paddingBottom: 16
  },
  infoText: {
    color: '#444',
    fontSize: 14
  }
})